Name:           Radicale
Version:        0.6.3
Release:        1%{?dist}
Summary:        A complete CalDAV calendar server solution

License:        GPLv3+
URL:            http://radicale.org/
Source0:        http://pypi.python.org/packages/source/R/Radicale/Radicale-0.6.3.tar.gz
Source1:        radicale.conf

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python
Requires:       mod_wsgi

%description
The Radicale Project is a complete CalDAV calendar server solution.
It can store multiple calendars.

Calendars are available for both local and remote access, possibly
limited through authentication policies. They can be viewed and
edited by calendar clients on mobile phones or computers.

%prep
%setup -q

# Let's move the place where the calendar are saved
sed -i -e 's|folder = ~/.config/radicale/calendars|folder = /var/lib/radicale/calendars|' config
# No public user by default
sed -i -e 's|public_users = public|public_users = |' config

%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Install configuration files
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/radicale/
install -m 644 config $RPM_BUILD_ROOT/%{_sysconfdir}/radicale/
install -m 644 logging $RPM_BUILD_ROOT/%{_sysconfdir}/radicale/

# Install wsgi file
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/www/
install -p -m 755 radicale.wsgi $RPM_BUILD_ROOT/%{_localstatedir}/www/

# Install apache's configuration file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/radicale.conf

# Create folder where the calendar will be stored
mkdir -p  $RPM_BUILD_ROOT/%{_sharedstatedir}/radicale/

%files
%doc COPYING README NEWS.rst TODO.rst
# For noarch packages: sitelib
%dir %{_sysconfdir}/radicale/
%dir %{_sharedstatedir}/radicale/
%config(noreplace) %{_sysconfdir}/radicale/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/radicale.conf
%{python_sitelib}/*
%{_bindir}/radicale
%{_localstatedir}/www/radicale.wsgi

%changelog
* Fri Nov 04 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6.3-1
- Initial packaging effort
